Skip to main content

Retrieve a shared token by ID

GET 

/v1/shared-tokens/:id

Returns a shared token as a JSON object.

Note: This endpoint requires permissions that must be set by our Support team. Please email help@logz.io for assistance. Please ensure to change the region in the URL to match your account's region.

Request​

Path Parameters

    id int32required

    ID of the shared token

Responses​

successful operation

Schema
    id int32

    ID of the shared token

    name string

    Descriptive name of the token

    token string

    The token

    filters int32[]

    Array of filter IDs attached to each token. If no filter is attached, null.

    lastUsed int64[]

    UNIX timestamp in milliseconds. If token wasn't in use, null.

    expirationDate int64[]

    UNIX timestamp in milliseconds. If token doesn't have expiration date, null.

    filtersOperator string[]

    Logical operator used to combine filters. Possible values can be OR or AND.

Loading...